from Reader import reader


class Sequence():
    current = None
    def __init__(self):
        pass

    def parse_sequence(self):
        self.parsed_spell = None
        self.type = reader.readByte()
        self.author_id = reader.readDouble()
        return self
